Subject: Re: [GSoC][RFC PATCH 0/2] Add refs list subcommand

From: shejialuo <[email-masked]>
Date: Sat, 28 Jun 2025 16:05:29 +0800

On Fri, Jun 27, 2025 at 11:03:13AM -0700, Junio C Hamano wrote:
> Meet Soni <[email-masked]> writes:
> 
> >   - Remove legacy or obscure options that are no longer needed.
> 
> Such as?
> 
> >   - Add improvements that wouldn't make sense to bolt onto legacy
> >     commands.
> 
> Such as?
> 
> While I agree that there may be cases that the above goals in
> general would bring us improvements, I think neither of these two
> applies to for-each-ref.  People are using for-each-ref to iterate
> over and enumerate refs already, and if you are to add some new
> features to "git refs list", they certainly will demand these new
> goodies to be added to for-each-ref as well.
> 

If so, we would make "git refs list" to place "git for-each-ref" at
all. However, in the current implementation, we indeed introduce
duplicate code path if we decide to do above.

Thanks,
Jialuo